summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-02-09 20:43:33 +0000
committer Eric Hameleers <alien@slackware.com>2021-02-10 08:59:53 +0100
commit39e07c298747c13cc4ee3600f81d7c53118b166e (patch)
tree0f178d36dc6890c596c432803cfcb18926e95bc9 /source
parent970784a8a8c9a4f10fcc9014c5d51643d021ff82 (diff)
downloadcurrent-39e07c298747c13cc4ee3600f81d7c53118b166e.tar.gz
current-39e07c298747c13cc4ee3600f81d7c53118b166e.tar.xz
Tue Feb 9 20:43:33 UTC 202120210209204333
a/exfatprogs-1.1.0-x86_64-1.txz: Upgraded. a/kernel-firmware-20210208_b79d239-noarch-1.txz: Upgraded. a/procps-ng-3.3.17-x86_64-1.txz: Upgraded. ap/man-db-2.9.4-x86_64-1.txz: Upgraded. ap/slackpkg-15.0-noarch-2.txz: Rebuilt. Allow new-config after slackpkg upgrade itself. Thanks to PiterPUNK. d/git-2.30.1-x86_64-1.txz: Upgraded. l/imagemagick-7.0.10_62-x86_64-1.txz: Upgraded. l/jasper-2.0.25-x86_64-1.txz: Upgraded. n/fetchmail-6.4.16-x86_64-1.txz: Upgraded. xfce/thunar-4.16.3-x86_64-1.txz: Upgraded. testing/packages/aaa_glibc-solibs-2.33-x86_64-1_testing.txz: Added. testing/packages/glibc-2.33-x86_64-1_testing.txz: Added. This is here for some actual testing - don't go just jumping into this one all willy-nilly, especially if you're on 32-bit. The internal implementation of some glibc functions has changed in ways that can break sandboxes that restrict the allowable functions. So far this is known to affect qt5-webengine and openssl, and in the case of openssl upgrading to this version of glibc will lock out ssh access to the machine. I've seen one mention of the openssh issue online as a comment posted to LWN's article about the release of glibc-2.33. It says that a patch was submitted upstream, but I haven't been able to locate a copy yet. On the qt5 issue, alienBOB has given me a link to this patch: https://src.fedoraproject.org/rpms/qt5-qtwebengine/blob/09e1adb883639325aa8115dc1fc3e8f5088a2438/f/qtwebengine-everywhere-src-5.15.2-%231904652.patch If anyone has a fix for openssl on 32-bit, kindly post it to LQ. testing/packages/glibc-i18n-2.33-x86_64-1_testing.txz: Added. testing/packages/glibc-profile-2.33-x86_64-1_testing.txz: Added.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/exfatprogs/exfatprogs.SlackBuild2
-rwxr-xr-xsource/a/procps-ng/procps-ng.SlackBuild12
-rw-r--r--source/a/procps-ng/procps-ng.pgrep.CMDSTRSIZE.diff20
-rwxr-xr-xsource/ap/man-db/man-db.SlackBuild2
-rw-r--r--source/ap/slackpkg/0001-Allow-new-config-after-slackpkg-upgrade-itself.patch25
-rwxr-xr-xsource/ap/slackpkg/slackpkg.SlackBuild8
-rwxr-xr-xsource/d/git/git.SlackBuild2
-rwxr-xr-xsource/l/jasper/jasper.SlackBuild2
-rwxr-xr-xsource/n/fetchmail/fetchmail.SlackBuild2
-rwxr-xr-xsource/xfce/thunar/thunar.SlackBuild2
-rw-r--r--source/xfce/thunar/thunar.url2
11 files changed, 42 insertions, 37 deletions
diff --git a/source/a/exfatprogs/exfatprogs.SlackBuild b/source/a/exfatprogs/exfatprogs.SlackBuild
index a29b0de86..f8390aa2e 100755
--- a/source/a/exfatprogs/exfatprogs.SlackBuild
+++ b/source/a/exfatprogs/exfatprogs.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=exfatprogs
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/a/procps-ng/procps-ng.SlackBuild b/source/a/procps-ng/procps-ng.SlackBuild
index 76ac8b5df..59ee18046 100755
--- a/source/a/procps-ng/procps-ng.SlackBuild
+++ b/source/a/procps-ng/procps-ng.SlackBuild
@@ -23,11 +23,11 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=procps-ng
-VERSION=${VERSION:-3.3.16}
+VERSION=${VERSION:-3.3.17}
PSMISCVER=${PSMISCVER:-23.3}
PROCINFONGVER=${PROCINFONGVER:-2.0.304}
PROCINFOVER=${PROCINFOVER:-18}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -67,9 +67,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PKGNAM-$VERSION
+rm -rf $PKGNAM-$VERSION procps-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
-cd $PKGNAM-$VERSION || exit 1
+cd procps-$VERSION || $PKGNAM-$VERSION || exit 1
tar xvf $CWD/psmisc-$PSMISCVER.tar.xz || exit 1
tar xvf $CWD/procinfo-ng-$PROCINFONGVER.tar.xz || exit 1
tar xvf $CWD/procinfo-$PROCINFOVER.tar.xz || exit 1
@@ -81,10 +81,6 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-# Revert to hardcoded command string size from procps-ng-3.3.15, as the
-# newer stack-based allocation fails in some cases where ulimit is unlimited:
-zcat $CWD/procps-ng.pgrep.CMDSTRSIZE.diff.gz | patch -p1 --verbose || exit 1
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/a/procps-ng/procps-ng.pgrep.CMDSTRSIZE.diff b/source/a/procps-ng/procps-ng.pgrep.CMDSTRSIZE.diff
deleted file mode 100644
index 4ff321d0d..000000000
--- a/source/a/procps-ng/procps-ng.pgrep.CMDSTRSIZE.diff
+++ /dev/null
@@ -1,20 +0,0 @@
---- ./pgrep.c.orig 2019-10-27 06:32:58.339230954 -0500
-+++ ./pgrep.c 2019-12-21 13:38:57.229656940 -0600
-@@ -42,6 +42,8 @@
- #define EXIT_FATAL 3
- #define XALLOC_EXIT_CODE EXIT_FATAL
-
-+#define CMDSTRSIZE 4096
-+
- #include "c.h"
- #include "fileutils.h"
- #include "nsutils.h"
-@@ -497,7 +499,7 @@
- regex_t *preg;
- pid_t myself = getpid();
- struct el *list = NULL;
-- long cmdlen = sysconf(_SC_ARG_MAX) * sizeof(char);
-+ long cmdlen = CMDSTRSIZE;
- char *cmdline = xmalloc(cmdlen);
- char *cmdsearch = xmalloc(cmdlen);
- char *cmdoutput = xmalloc(cmdlen);
diff --git a/source/ap/man-db/man-db.SlackBuild b/source/ap/man-db/man-db.SlackBuild
index 60f749c50..74b6cb5d4 100755
--- a/source/ap/man-db/man-db.SlackBuild
+++ b/source/ap/man-db/man-db.SlackBuild
@@ -8,7 +8,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=man-db
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
MAN2HTML=${MAN2HTML:-20180101}
diff --git a/source/ap/slackpkg/0001-Allow-new-config-after-slackpkg-upgrade-itself.patch b/source/ap/slackpkg/0001-Allow-new-config-after-slackpkg-upgrade-itself.patch
new file mode 100644
index 000000000..82e9f5a22
--- /dev/null
+++ b/source/ap/slackpkg/0001-Allow-new-config-after-slackpkg-upgrade-itself.patch
@@ -0,0 +1,25 @@
+From 5edf86dcebd2ab55a4a7221db77e10676723bbb1 Mon Sep 17 00:00:00 2001
+From: piterpunk <piterpunk@slackware.com>
+Date: Mon, 8 Feb 2021 18:22:33 -0300
+Subject: [PATCH] Allow new-config after slackpkg upgrade itself
+
+Signed-off-by: Robby Workman <rworkman@slackware.com>
+---
+ files/core-functions.sh | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/files/core-functions.sh b/files/core-functions.sh
+index dcbceae..9816458 100644
+--- a/files/core-functions.sh
++++ b/files/core-functions.sh
+@@ -345,6 +345,7 @@ use slackpkg.\n"
+ CHECKMD5=off
+ elif ! [ -f ${ROOT}/${WORKDIR}/CHECKSUMS.md5 ] && \
+ [ "$CMD" != "update" ] && \
++ [ "$CMD" != "new-config" ] && \
+ [ "$CHECKMD5" = "on" ]; then
+ echo -e "\n\
+ No CHECKSUMS.md5 found! Please disable md5sums checking\n\
+--
+2.30.0
+
diff --git a/source/ap/slackpkg/slackpkg.SlackBuild b/source/ap/slackpkg/slackpkg.SlackBuild
index db3774348..788600a72 100755
--- a/source/ap/slackpkg/slackpkg.SlackBuild
+++ b/source/ap/slackpkg/slackpkg.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=slackpkg
VERSION=${VERSION:-15.0}
ARCH="noarch"
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
@@ -113,10 +113,14 @@ chmod 644 $PKG/usr/doc/slackpkg-$VERSION/*
mkdir -pv $PKG/var/lib/slackpkg
mkdir -pv $PKG/var/cache/packages
+# Allow new-config after slackpkg upgrade itself:
+( cd $PKG/usr/libexec/slackpkg
+ cat $CWD/0001-Allow-new-config-after-slackpkg-upgrade-itself.patch | patch -p2 --verbose || exit 1
+) || exit 1
+
mkdir -p $PKG/install
cat $CWD/doinst.sh | sed -e "s/@VERSION@/$VERSION/g" > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/d/git/git.SlackBuild b/source/d/git/git.SlackBuild
index 945280e83..d4749ee25 100755
--- a/source/d/git/git.SlackBuild
+++ b/source/d/git/git.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=git
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/l/jasper/jasper.SlackBuild b/source/l/jasper/jasper.SlackBuild
index 3b26f8c34..b42ca47f5 100755
--- a/source/l/jasper/jasper.SlackBuild
+++ b/source/l/jasper/jasper.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=jasper
SRCNAM=jasper-version
VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/n/fetchmail/fetchmail.SlackBuild b/source/n/fetchmail/fetchmail.SlackBuild
index 13530b769..2e74e15db 100755
--- a/source/n/fetchmail/fetchmail.SlackBuild
+++ b/source/n/fetchmail/fetchmail.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fetchmail
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/xfce/thunar/thunar.SlackBuild b/source/xfce/thunar/thunar.SlackBuild
index 610ed2ff6..d63023364 100755
--- a/source/xfce/thunar/thunar.SlackBuild
+++ b/source/xfce/thunar/thunar.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=thunar
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
diff --git a/source/xfce/thunar/thunar.url b/source/xfce/thunar/thunar.url
index 1c7983aaf..fc98b3cc7 100644
--- a/source/xfce/thunar/thunar.url
+++ b/source/xfce/thunar/thunar.url
@@ -1 +1 @@
-https://archive.xfce.org/src/xfce/thunar/4.16/thunar-4.16.2.tar.bz2
+https://archive.xfce.org/src/xfce/thunar/4.16/thunar-4.16.3.tar.bz2